// app.h
//
// minimum application class interface
//
// update: 1.00 28-Jul-93 tw

#ifndef _INC_APP_H
#define _INC_APP_H
             
#define new DEBUG_NEW

#include "appinfo.h"

const UINT nIconButtons=8;             // # of icon buttons                                
const UINT nBeginIdIconButtons = 200;  // 1st id
const UINT nBeginIdEditButtons = 300;

class CMyApp : public CWinApp
{  
private:         
   CStringList m_lstWSP1;

   UINT  m_cPixelFrame;
   BOOL  m_fComeUpAllways;
   BOOL  m_fStayVisible;
   
   // application lists
   int  m_nCurrentAppList;
   CApplicationList m_AppList[nIconButtons];
   
public:    
   CMyApp( const char * pszAppName );
   virtual BOOL InitInstance();
   virtual int ExitInstance();
   
private:
   // command-handlers 
   // for snall buttons
   void OnTile1();
   void OnTile2();
   void OnTile3();
   void OnTile4();
   void OnWsp1();   
   void OnWsp2();   
   void OnWsp3();   
   void OnWsp4();   
   void OnOpts1();   
   void OnOpts2();   
   void OnOpts3();   
   void OnOpts4();   
   
   // help fxns
   void TileHorizontal( int cyIconSpace );
   void TileVertical( int cyIcon );                  
   
   // take care of desktop business
   void ManageDesktop( const char * pszDesktopName );
public:
   // interface to data members: Options settiungs
   UINT Settings_PixelFrame() const;   
   BOOL Settings_ComeUpAllways() const;
   BOOL Settings_StayVisible() const;
            
   // get a ptr to the current application list
   const CApplicationList * CurrentApplicationList() const;            
   
   // launch or edit application groups
   void OnLaunchGroup( int nGrp );
   void OnEditGroup( int nGrp );
   
   // add via drag n drop
   void AddToGroup( int nGrp, const char * pszPath );
                                             
   // return icon to use for this group                                             
   HICON Icon( int nApplicationGroup ) const;
             
   void ReadApplicationInfo();
   void WriteApplicationInfo();
             
   DECLARE_MESSAGE_MAP()   
};

#endif  // _INC_APP_H



